{{ define "head" }}
	
	{{ if .Params.updateScript }}
		<script async
			src='{{ ((resources.Get "js/utils.js") | resources.Minify).RelPermalink }}'
		></script>
	{{ end }}
	
	<script async
		src='{{ (resources.Get "js/clickable-images.js" | resources.Minify).RelPermalink }}'
	></script>
{{ end }}

{{ define "header" }}
{{ partial "header.html" . }}
{{ end }}

{{ define "main" }}
	{{- if .Params.toc }}
		{{ partial "layout/toc.html" . }}
	{{- end }}

	<main class="site-main section-inner thin animated fadeIn faster">

		{{ partial "page-header.html" . }}

		{{ if eq .Params.banner "outdated" }}
			<div class="banner info">
				<div class="icon">
					<i>{{ partial "svg.html" "alert" }}</i>
				</div>
				<div class="title">
					This page has been marked as out-of-date, the information in this page might not be fully up-to-date
				</div>
			</div>
		{{ end }}

		{{ partial "page-banners.html" . }}

		<div class="content">
			{{ .Content | replaceRE "(<h[1-6] id=\"([^\"]+)\".+)(</h[1-6]+>)" `${1}<a href="#${2}" onclick="copyToClipboard(window.location)" class="anchor" aria-hidden="true"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M15 7h3a5 5 0 0 1 5 5 5 5 0 0 1-5 5h-3m-6 0H6a5 5 0 0 1-5-5 5 5 0 0 1 5-5h3"></path><line x1="8" y1="12" x2="16" y2="12"></line></svg></a>${3}` | safeHTML }}
		</div>
	</main>
{{ end }}